<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
<head>
<title>Bunny - Debian</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf8" />
<script type="text/javascript" src="jquery/jquery-1.6.2.js"></script>
<script type="text/javascript" src="jquery/jquery-ui-1.8.15.custom.js"></script>
<link rel="stylesheet" href="bunny-webfrontend.css" type="text/css" />
<script type="text/javascript">
	$(function() {
		function split( val ) {
			return val.split( /\s+/ );
		}
		function extractLast( term ) {
			return split( term ).pop();
		}

		$( "#bunny" )
			// don't navigate away from the field on tab when selecting an item
			.bind( "keydown", function( event ) {
				if ( event.keyCode === $.ui.keyCode.TAB &&
						$( this ).data( "autocomplete" ).menu.active ) {
					event.preventDefault();
				}
			})
			.autocomplete({
				source: function( request, response ) {
					$.getJSON( "bunny-webfrontend.pl", {
						completion: extractLast( request.term )
					}, response );
				},
				search: function() {
					// custom minLength
					var term = extractLast( this.value );
					if ( term.length < 2 ) {
						return false;
					}
				},
				focus: function() {
					// prevent value inserted on focus
					return false;
				},
				select: function( event, ui ) {
					var terms = split( this.value );
					// remove the current input
					terms.pop();
					// add the selected item
					terms.push( ui.item.value );
					// add placeholder to get the comma-and-space at the end
					this.value = terms.join( " " );
					return false;
				}
			});
	});
	</script>
</head>
<body>

<form action="bunny-webfrontend.pl" method="get">
	<div id="search" class="ui-widget">
		<div>
			<h1>Bunny - Bugs search</h1>
			<p id="example">e.g. "package:iceweasel tag:sid tag:security it's embarassing"</p>
			<p id="autocompletion">Javascript auto completion <strong>On</strong></p>
			<input name="q" id="bunny" size="50" value="<TPL:QUERY>" />

			<p><span>author: - doneby: - package: - subject: - version:</span> (free text fields)</p>
			<p><span>fixed: - id: - wnpp: - tag: - severity:</span> (boolean filters)</p>
		</div>
	</div>
</form>



</body>
</html>
